@font-face {
  font-family: "Fredoka";
  src: url("../fonts/Fredoka-VariableFont_wdth,wght.woff2") format("woff2")
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

:root {
  --bg: oklch(0.99 0.003 325);
  --primary: oklch(0.25 0.01 325);

  font-family: "Fredoka", sans-serif;
  line-height: 1.6;
  scroll-behavior: smooth;


  color: var(--primary);
  background-color: var(--bg);
}


body {
  margin: 0;
}

.container {
  max-width: 80rem;
  padding-inline: 1rem;
  margin: auto;
}

header {
  background-color: oklch(0.1454 0.062 264);
  color: var(--bg);

  nav ul {
    list-style: none;
    padding: 0;
    margin: 0;

    display: flex;
    flex-wrap: wrap;

    margin-inline-start: -2rem;

    a {
      padding-block: 1rem;
      padding-inline: 2rem;
      display: inline-block;
      color: inherit;
      text-decoration: none;
    }
  }
}

.row {
  display: flex;
  gap: 2rem;

  * {
    border: 1px dashed oklch(0.1454 0.062 264);
    padding: 1rem;
    flex-grow: 1;
  }

  *:first-child {
    flex-grow: 2;
  }
}

.visually-hidden:not(:focus):not(:active) {
  clip: rect(0 0 0 0);
  clip-path: inset(50%);
  height: 1px;
  overflow: hidden;
  position: absolute;
  white-space: nowrap;
  width: 1px;
}

main {
  nav {
    --text: oklch(0.99 0.003 235);
    --bg: oklch(0.45 0.32 40);

    color: var(--text);

    a {
      padding-block: 1rem;
      padding-inline: 2rem;
      display: inline-block;
      color: inherit;
      text-decoration: none;

      transition: color 0.5s ease-in-out, background-color 1s ease-out;

      &:hover,
      &:focus-visible {
        color: var(--bg);
        background-color: var(--text);
      }
    }

    ul {
      display: flex;
      flex-wrap: wrap;
      list-style: none;
      justify-content: flex-end;
    }

    ul li:not(:first-child) {
      background-color: var(--bg);
    }

    li:first-child {
      margin-inline-end: auto;
      margin-inline-start: -4.5rem;
    }

    li:first-child a {
      color: black;
      font-weight: bolder;

    }
  }
}

.cards {
  display: flex;
  flex: 1 0 auto;
  flex-wrap: wrap;
  gap: 1rem;
  padding: 0;
  margin: 0;
  list-style: none;


  li {
    box-shadow: 0 0 .2rem oklch(0 0 0 / .2), 0 0 2rem oklch(0 0 0 / .1);
    border-radius: 1%;
    position: relative;
    overflow: hidden;

    display: flex;
    flex: 0 0 18rem;
    flex-direction: column;


    .content {
      margin: auto;
      padding-block-end: 1rem;
    }

    img {
      order: -1;
    }

    &:hover {
      transition: ease border 0.5s;
      box-shadow: 0rem 0rem 1rem oklch(0.16 0.0718 332.74);
      border: inset 0.4rem oklch(0.536 0.2664 321.09);
      mix-blend-mode: difference;

      background-color: var(--bg);
    }

  }

  .overlay-link {
    position: absolute;
    inset: 0;

    text-indent: 100%;
    white-space: nowrap;
    overflow: hidden;
  }
}
